import React from "react";
import { StyleSheet, View, ActivityIndicator, Modal } from "react-native";

import { BlurView as Blurry } from "@react-native-community/blur";

import color from "@pcgnpm/color";
import style from "@pcgnpm/style";

export const InlineLoader = (blur = true) => {
  return (
    <View
      style={
        blur
          ? style.inlineBlurLoaderView
          : style.inlineBlurLoaderViewTransparent
      }
    >
      {blur && (
        <Blurry
          style={style.inlineBlurLoader}
          blurType="light"
          blurAmount={7}
          reducedTransparencyFallbackColor="white"
        />
      )}
      <ActivityIndicator
        size="large"
        color={color.blackColor}
        style={style.activityIndicator}
      />
    </View>
  );
};

const CustomLoader = ({ option = "" }) => {
  const viewStyle =
    option === "" ? style.loaderContainer : style.loaderRelativeContainer;
  const spinnerColor = option === "" ? color.blackColor : color.blackColor;

  return (
    <Modal transparent>
      <View style={viewStyle}>
        <ActivityIndicator size="large" color={spinnerColor} />
      </View>
    </Modal>
  );
};

export default CustomLoader;
